View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000699Ecere SDKcompilerpublic2012-03-26 21:442014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000699: Units and ++
DescriptionDegrees r;

r++ and r+= 1 do different things
(I think the former is doing +1 radian while the latter is doing +1 degree)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000771closedjerome units: Degrees i; sin ( i + 5) vs sin(i + Degrees { 5 }) give different results 

-  Notes
(0001309)
jerome (administrator)
2014-05-23 09:53

Fixed by:
https://github.com/ecere/ecere-sdk/commit/bcdb14959831bf2a4192a0d6a324748bf5a22ca1 [^]

- Issue History
Date Modified Username Field Change
2012-03-26 21:44 jerome New Issue
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2012-10-30 01:38 jerome Relationship added related to 0000771
2014-05-21 10:36 jerome Assigned To => jerome
2014-05-21 10:36 jerome Status new => assigned
2014-05-21 10:36 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-05-23 09:53 jerome Status assigned => resolved
2014-05-23 09:53 jerome Fixed in Version => 0.44.10 64
2014-05-23 09:53 jerome Resolution open => fixed
2014-05-23 09:53 jerome Note Added: 0001309
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker